<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('kuesioner_metakognitif', function (Blueprint $table) {
            $table->id('category');
            $table->tinyInteger('lv_meta')->nullable();
            $table->string('km_class', 10)->nullable();
            $table->string('rm_class', 10)->nullable();
            $table->dateTime('timestamp')->nullable();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('kuesioner_metakognitif');
    }
};